#ifndef PXOS__H
#define PXOS__H

#if defined( __MVS__) || defined(WIN32)
#else 
#define _OSUNIX_   /* DR 48823 */
#endif

#if defined(__MVS__)
#define OS_MVS
#elif defined(WIN32) || defined(WIN64)
#define OS_WINDOWS
#elif defined(__sun)
#define OS_SOLARIS
#elif defined(_AIX)
#define OS_AIX
#elif defined(HPUX)
#define OS_HPUX
#elif defined(__linux__)
#define OS_LINUX
#elif defined(__HIGHC__) || defined(_ATT4)
#define OS_MPRAS
#elif defined(__APPLE__)                                               /*@001*/
#define OS_OSX                                                         /*@001*/
#else
#error Building on a unknown platform
#endif

#if defined(OS_SOLARIS) || defined(OS_AIX) || defined(OS_HPUX) || defined(OS_LINUX) || defined(OS_MPRAS) || defined(OS_OSX)  /*@001*/
#define OS_UNIX
#endif

#endif
