/************************************************************************
*                                                                       
* TITLE: OUTMD1.C   Diagnostic Outmod                             H0_00 
*                                                                       
*                                                                       
*  Purpose      To Replace some records with our stuff.                 
*                                                                       
*  Copyright (C) 1992 by Teradata Corporation, El Segundo, CA 90245     
*                                                                       
*                                                                       
*  How to build this module on different systems:
*
*    SOLARIS:
*
*       cc -G -KPIC OUTMD1.c -o <shared-object-name>
*
*    IBM-AIX:
*
*       /usr/vac/bin/cc -qmkshrobj -o <shared-object-name> OUTMD1.c
*
*    Windows:
*
*       cl.exe /DWIN32 /LD OUTMD1.c
*
*    HPUX:
*
*       cc -n -b +DAportable +DS1.1 -o <shared-object-name> OUTMD1.c
*
*    Linux:
*
*       cc -m32 -shared -o <shared-object-name> OUTMD1.c
*
*    OS-390/USS:
*
*       cc -W l,dll -W c,dll,expo -o <shared-object-name> OUTMD1.c
*
*                                                                       
*  History     H0_00 92SEP25  RDB  DCR 6380  Foo.                       
*              H0_01 01MAY14  CSG  DR48323                              
************************************************************************/
#include <errno.h>
#include <stddef.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
 
typedef unsigned short     Int16;
typedef unsigned char      Int8;
typedef unsigned int       Int32;
 
static char foo[]= "Foo.";
typedef struct {
        int     field1;
        int     field2;
   } workbuf;
 
#ifdef WIN32
__declspec(dllexport) Int32  _dynamn(int *code, int *stmno, int *InLen, char *InBuf, int *OutLen, char* OutBuf)
#else
Int32  _dynamn(int *code, int *stmno, int *InLen, char *InBuf, int *OutLen, char* OutBuf)
#endif
{
workbuf c;
workbuf *cp;
FILE *fp;
if(*code ==1 || *code == 3)
{
cp=&c;
memcpy (cp, InBuf, *InLen);
}
 
switch (*code) {
 
  case 1:
    /* Initialization, no other values */
    printf("\nOUTMOD :-I AM TOLD TO INTIALIZE\n");
    fflush(stdout);
    break;
  case 2:
    /* Cleanup call, no other values */
 
    printf("OUTMOD:- I AM TOLD TO CLEAN UP\n");
    fflush(stdout);
    break;
  case 3:
    /* Gotta Record */
    if ( cp->field1 % 100000 == 0 ){
    printf("\nOUTMOD :- I AM ADDING 1000 TO  FIELD2 IN EVERY RECORD");
    printf("\n          BUT SHOWING MESSAGE AT EVERY 100000TH RECORD \n");
    fflush(stdout);
    }
    cp->field2 = cp->field2 + 1000;
    memcpy (InBuf, cp, *InLen);
    break;
  case 4:
    /* Checkpoint, no other values */
    printf("\nOUTMOD: NO CHECKPOINT SINCE I AM A FILTER-OUTMOD\n");
    fflush(stdout);
    break;
  case 5:
    /* DBC restart - Not much else */
    printf("\nOUTMOD:- HOST RESTART\n");
    fflush(stdout);
    break;
  case 6:
    /* Host restart - not much else */
    printf("\nOUTMOD:- HOST RESTART\n");
    fflush(stdout);
    break;
  default:
    printf("\nOUTMOD:-I AM GETTING STRANGE ENTRY CODE\n");
    fflush(stdout);
    break;
 
  }
return (0);
}

