/*************************************************************************
*
* Copyright 2005-2009, 2011, 2014 by Teradata Corporation.
* All Rights Reserved.
* TERADATA CONFIDENTIAL AND TRADE SECRET
*
* This copyrighted material is the Confidential, Unpublished
* Property of the Teradata Corporation.  This copyright notice and
* any other copyright notices included in machine readable
* copies must be reproduced on all authorized copies.
*
*************************************************************************/

// main.cpp : Defines the entry point for the console application.

#include "MultipleOperators.h"
#include "OptionsManager.h"
#include <stdio.h>


int main( int argc,char * argv[] )
{
  OptionsManager * om = new OptionsManager();
  MultipleOperators *mo = new MultipleOperators(om);

  if (argc != 2) 
  {
    printf("Usage:\n");
    printf("Multiple <config file>\n");
    return -1;
  }
  else 
  {
    om -> readOptionsFromFile(argv[1]);
  }

  mo -> testExportStream();

  delete mo;
  delete om;

#if defined(_WIN) || defined(_WIN32) || defined(_WIN64)
  printf("Press any key to Continue\n");
  getchar();
#endif 

  return(0);
}
