/*************************************************************************
*
* Copyright 2005-2010, 2014 by Teradata Corporation.
* All Rights Reserved.
* TERADATA CONFIDENTIAL AND TRADE SECRET
*
* This copyrighted material is the Confidential, Unpublished
* Property of the Teradata Corporation.  This copyright notice and
* any other copyright notices included in machine readable
* copies must be reproduced on all authorized copies.
*
*************************************************************************/

#ifndef TESTLOAD_H
#define TESTLOAD_H

#ifndef __MVS__
#include "common.h"
#include "TestBase.h"
#include "ThreadTestParameters.h"
#else
#include "common.h"
#include "PTCBASET.h"
#include "PTCTHDPA.h"
#endif 

class TestLoad : public TestBase {

	public:
		
		TestLoad(ThreadTestParameters* params, int instance, Synchronizer* sync, long start, long end);
		~TestLoad();

		void printTestOptions();
		TD_StatusCode run();
		TD_StatusCode runRestart();
		TD_StatusCode Acquisition();
		TD_StatusCode Application();

};

#endif
