/*************************************************************************
*
* Copyright 2005-2008, 2010, 2014 by Teradata Corporation.
* All Rights Reserved.
* TERADATA CONFIDENTIAL AND TRADE SECRET
*
* This copyrighted material is the Confidential, Unpublished
* Property of the Teradata Corporation.  This copyright notice and
* any other copyright notices included in machine readable
* copies must be reproduced on all authorized copies.
*
*************************************************************************/

#ifndef TestUpdate_H
#define TestUpdate_H

#ifndef __MVS__
#include "common.h"
#include "TestBase.h"
#include "ThreadTestParameters.h"
#else
#include "COMMOND.H"                //DR144824
#include "PTCBASTD.h"               //DR144824
#include "PTCTHTPD.h"               //DR144824
#endif //__MVS__

class TestUpdate : public TestBase {

	public:
		
		TestUpdate(ThreadTestParameters* params, int instance, Synchronizer* sync, long start, long end);
		~TestUpdate();

		void printTestOptions();
		TD_StatusCode run();
		TD_StatusCode runRestart();
		TD_StatusCode Acquisition();
		TD_StatusCode Application();

};

#endif
